public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-dev] [PATCH] elisp.eclass: Call makeinfo with --no-split option
@ 2024-12-26 12:04 Ulrich Müller
  2024-12-27  8:07 ` Sam James
  0 siblings, 1 reply; 3+ messages in thread
From: Ulrich Müller @ 2024-12-26 12:04 UTC (permalink / raw
  To: gentoo-dev; +Cc: Ulrich Müller

Signed-off-by: Ulrich Müller <ulm@gentoo.org>
---
 eclass/elisp.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 1fa8aab29753..e2f629edf132 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -139,7 +139,7 @@ elisp_src_configure() { :; }
 elisp_src_compile() {
 	elisp-compile *.el
 	if [[ -n ${ELISP_TEXINFO} ]]; then
-		makeinfo ${ELISP_TEXINFO} || die
+		makeinfo --no-split ${ELISP_TEXINFO} || die
 	fi
 }
 
-- 
2.47.1



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [gentoo-dev] [PATCH] elisp.eclass: Call makeinfo with --no-split option
  2024-12-26 12:04 [gentoo-dev] [PATCH] elisp.eclass: Call makeinfo with --no-split option Ulrich Müller
@ 2024-12-27  8:07 ` Sam James
  2024-12-27  9:36   ` Ulrich Müller
  0 siblings, 1 reply; 3+ messages in thread
From: Sam James @ 2024-12-27  8:07 UTC (permalink / raw
  To: Ulrich Müller; +Cc: gentoo-dev

Ulrich Müller <ulm@gentoo.org> writes:

> Signed-off-by: Ulrich Müller <ulm@gentoo.org>

(Why?)

> ---
>  eclass/elisp.eclass | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
> index 1fa8aab29753..e2f629edf132 100644
> --- a/eclass/elisp.eclass
> +++ b/eclass/elisp.eclass
> @@ -139,7 +139,7 @@ elisp_src_configure() { :; }
>  elisp_src_compile() {
>  	elisp-compile *.el
>  	if [[ -n ${ELISP_TEXINFO} ]]; then
> -		makeinfo ${ELISP_TEXINFO} || die
> +		makeinfo --no-split ${ELISP_TEXINFO} || die
>  	fi
>  }


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [gentoo-dev] [PATCH] elisp.eclass: Call makeinfo with --no-split option
  2024-12-27  8:07 ` Sam James
@ 2024-12-27  9:36   ` Ulrich Müller
  0 siblings, 0 replies; 3+ messages in thread
From: Ulrich Müller @ 2024-12-27  9:36 UTC (permalink / raw
  To: Sam James; +Cc: gentoo-dev

[-- Attachment #1: Type: text/plain, Size: 745 bytes --]

>>>>> On Fri, 27 Dec 2024, Sam James wrote:

> (Why?)

By default, makeinfo will split large output files into smaller
subfiles. Although this doesn't currently happen for any package,
it might happen in future, and it would break some assumptions.

The threshold for splitting is 300 kB, and we have at least three
packages with larger info files. The reason they don't break is that
they use the upstream Makefile rather than the eclass function.

>> --- a/eclass/elisp.eclass
>> +++ b/eclass/elisp.eclass
>> @@ -139,7 +139,7 @@ elisp_src_configure() { :; }
>> elisp_src_compile() {
>> elisp-compile *.el
>> if [[ -n ${ELISP_TEXINFO} ]]; then
>> -		makeinfo ${ELISP_TEXINFO} || die
>> +		makeinfo --no-split ${ELISP_TEXINFO} || die
>> fi
>> }

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 507 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-12-27  9:36 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-12-26 12:04 [gentoo-dev] [PATCH] elisp.eclass: Call makeinfo with --no-split option Ulrich Müller
2024-12-27  8:07 ` Sam James
2024-12-27  9:36   ` Ulrich Müller

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox